Bug 738589 - Review Request: perl-Socket-Netlink - Interface to Linux's PF_NETLINK socket family
Summary: Review Request: perl-Socket-Netlink - Interface to Linux's PF_NETLINK socket ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 738525 738554
Blocks: 738931
TreeView+ depends on / blocked
 
Reported: 2011-09-15 10:00 UTC by Mathieu Bridon
Modified: 2016-11-24 23:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-24 23:46:41 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mathieu Bridon 2011-09-15 10:00:55 UTC
Spec URL: http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink-0.03-1.fc16.src.rpm
Description:
This module contains the low-level constants and structure handling
functions required to use Linux's PF_NETLINK socket family. It is suggested
to use the high-level object interface to this instead; see
IO::Socket::Netlink.


$ rpmlint ./perl-Socket-Netlink*
perl-Socket-Netlink.x86_64: E: incorrect-fsf-address /usr/share/doc/perl-Socket-Netlink-0.03/LICENSE
3 packages and 1 specfiles checked; 1 errors, 0 warnings.

I opened an upstream bug about the incorrect FSF address:
    https://rt.cpan.org/Public/Bug/Display.html?id=70980

Comment 1 Mathieu Bridon 2011-09-15 10:14:15 UTC
Adding the dependencies on two other review requests I had forgotten to add when submitting.

Comment 2 Mathieu Bridon 2011-09-16 05:25:38 UTC
I found and fixed an error with my Provides filter which was overzealous.

Spec URL: http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink.spec
SRPM URL:
http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink-0.03-2.fc16.src.rpm


$ rpmlint ./perl-Socket-Netlink*
perl-Socket-Netlink.x86_64: E: incorrect-fsf-address
/usr/share/doc/perl-Socket-Netlink-0.03/LICENSE
4 packages and 1 specfiles checked; 1 errors, 0 warnings.

Comment 3 Remi Collet 2011-09-17 08:21:11 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [x] Rpmlint output:
perl-Socket-Netlink.x86_64: E: incorrect-fsf-address /usr/share/doc/perl-Socket-Netlink-0.03/LICENSE
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : b5898a207023ff5b94b06cb5857395f0  Socket-Netlink-0.03.tar.gz
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f15, i386 + x86_64
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Packages don't bundle copies of system librarie
 [x] Package is not relocatable.
 [!] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [!] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages with %{?_isa}, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [-] All filenames in rpm packages must be valid UTF-8
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Final requires
perl(:MODULE_COMPAT_5.12.4)  
perl(Sub::Name)  
perl(base)  
perl(Carp)  
perl(constant)  
perl(Exporter)  
perl(IO::Socket)  
perl(IO::Socket::Netlink)  
perl(IO::Socket::Netlink::_Message)  
perl(overload)  
perl(Socket)  
perl(Socket::Netlink)  
perl(Socket::Netlink::Generic)  
perl(Socket::Netlink::Generic_const)  
perl(strict)  
perl(Sub::Name)  
perl(warnings)  
 [x] Final provides
perl(Socket::Netlink::Generic_const) = 0.03
perl(IO::Socket::Netlink) = 0.03
perl(IO::Socket::Netlink::_ErrorMessage)  
perl(IO::Socket::Netlink::Generic) = 0.03
perl(IO::Socket::Netlink::Generic::_Message)  
perl(IO::Socket::Netlink::_Message)  
perl(Socket::Netlink) = 0.03
perl(Socket::Netlink::Generic) = 0.03
perl-Socket-Netlink = 0.03-2.fc15.remi
perl-Socket-Netlink(x86-64) = 0.03-2.fc15.remi
 [x] Latest version is packaged.
 [-] If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it. 
 [-] The description and summary sections in the package spec file should contain
     translations for supported Non-English languages, if available.
 [-] Reviewer should test that the package builds in mock.
     Tested on: N/A (missing BR, not yet approved)
     Tested on: mock f15 i386
 [x] The package should compile and build into binary rpms on all supported architectures.
     Tested on: mock f15 i386 + rpmbuild f15 x86_64
 [x] Package functions as described.
 [-] If scriptlets are used, those scriptlets must be sane. 
 [-] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
     consider requiring the package which provides the file instead of the file itself. 
 [x] your package should contain man pages for binaries/scripts. 
     If it doesn't, work with upstream to add them where they make sense.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] %check is present and the tests pass


MUST: 
- file /usr/lib64/perl5/vendor_perl/auto is not owned by any package
  (should probably be owned by perl-libs itself...)
- issue with %optimize not defined (%optflags ?)

Should:
- for incorrect-fsf-address, please, add bug link in your spec

Comment 4 Mathieu Bridon 2011-09-19 07:41:29 UTC
Spec URL: http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink-0.03-3.fc16.src.rpm

(In reply to comment #3)
> MUST: 
> - file /usr/lib64/perl5/vendor_perl/auto is not owned by any package
>   (should probably be owned by perl-libs itself...)

This file is already owned by perl-libs in Fedora 16 (as well as by a few Perl modules :-/), so there isn't anything I need to do here, is there?

> - issue with %optimize not defined (%optflags ?)

Fixed, replaced by optflags.

Note: I also opened a bug against cpanspec about this issue:
    https://bugzilla.redhat.com/show_bug.cgi?id=739461

> Should:
> - for incorrect-fsf-address, please, add bug link in your spec

Done.

Comment 5 Remi Collet 2011-09-19 15:42:41 UTC
All MUST fixed

========
APPROVED
========

Comment 6 Mathieu Bridon 2011-09-20 02:59:56 UTC
New Package SCM Request
=======================
Package Name: perl-Socket-Netlink
Short Description: Interface to Linux's PF_NETLINK socket family
Owners: bochecha
Branches: f16 el6
InitialCC: perl-sig

Comment 7 Gwyn Ciesla 2011-09-20 04:29:38 UTC
Git done (by process-git-requests).

Comment 8 Petr Šabata 2012-01-05 15:37:39 UTC
Anything happening in here?  Have you built the package?  Can this bug be closed?

Comment 9 Mathieu Bridon 2012-01-06 03:55:12 UTC
I've built it for all branches, but I'm having troubles with el6.

The package fails to build on ppc64 architecture, I reported the bug upstream:
https://rt.cpan.org/Public/Bug/Display.html?id=71112

I tried to disable building in ppc64 in the mean time, but then that caused issues with perl-Socket-Netlink-Route which depends on it: the latter is noarch so I can't do an ExcludeArch on it.

I'd like to keep the bug report open as a reminder that I still haven't finished my work on this package, unless that's causing some issues for anyone.

Of course, any help in fixing the endianness issue would be appreciated. :)

Comment 10 Petr Šabata 2012-01-06 07:14:45 UTC
I was just curious since the review seemed dead; thanks for the explanation :)

Comment 11 Petr Pisar 2012-05-23 15:33:08 UTC
(In reply to comment #9)
> I'd like to keep the bug report open as a reminder that I still haven't
> finished my work on this package, unless that's causing some issues for
> anyone.
> 
So the bug report should be in assigned or modified state.

Comment 12 James Hogarth 2015-12-04 03:06:49 UTC
This package is in rawhide.

Closing this bug in an effort to tidy the review queue.

If there are outstanding issues with the package please open an appropriate bug against the package itself.

Comment 13 Fedora Update System 2016-11-09 13:32:56 UTC
perl-Socket-Netlink-0.04-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5300747e76

Comment 14 Fedora Update System 2016-11-10 06:47:51 UTC
perl-Socket-Netlink-0.04-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5300747e76

Comment 15 Fedora Update System 2016-11-24 23:46:41 UTC
perl-Socket-Netlink-0.04-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.